# Uses of Interface
org.opensaml.saml.saml2.core.AssertionURIRef

Packages that use AssertionURIRef
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AssertionURIRef in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type AssertionURIRef
Modifier and Type
Method
Description
`List<AssertionURIRef>`
Advice.`getAssertionURIReferences()`
Gets the list of AssertionURI references used as advice.
`List<AssertionURIRef>`
Evidence.`getAssertionURIReferences()`
Gets the list of AssertionURI references used as evidence.

## Uses of AssertionURIRef in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AssertionURIRef
Modifier and Type
Class
Description
`class`
`AssertionURIRefImpl`
A concrete implementation of `AssertionURIRef`.
Methods in org.opensaml.saml.saml2.core.impl that return AssertionURIRef
Modifier and Type
Method
Description
`AssertionURIRef`
AssertionURIRefBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AssertionURIRef`
AssertionURIRefBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AssertionURIRef
Modifier and Type
Method
Description
`List<AssertionURIRef>`
AdviceImpl.`getAssertionURIReferences()`
Gets the list of AssertionURI references used as advice.
`List<AssertionURIRef>`
EvidenceImpl.`getAssertionURIReferences()`
Gets the list of AssertionURI references used as evidence.